%define anolis_release 1

%bcond_with documentation

Summary: A portable x86 assembler which uses Intel-like syntax
Name: nasm
Version: 2.16.01
Release: %{anolis_release}%{?dist}
License: BSD
URL: http://www.nasm.us
Source0: https://www.nasm.us/pub/nasm/releasebuilds/%{version}/%{name}-%{version}.tar.xz
Source1: https://www.nasm.us/pub/nasm/releasebuilds/%{version}/%{name}-%{version}-xdoc.tar.xz

BuildRequires: perl(Env)
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: asciidoc
BuildRequires: xmlto
BuildRequires: gcc
BuildRequires: make
Obsoletes: nasm-rdoff < 2.16.01-1

%package doc
Summary: Documentation for NASM
BuildArch: noarch
Requires: %{name} = %{version}-%{release}
%if %{with documentation}
BuildRequires: perl(Font::TTF::Font)
BuildRequires: perl(Sort::Versions)
BuildRequires: perl(File::Spec)
BuildRequires: perl(sort)
BuildRequires: adobe-source-sans-pro-fonts
BuildRequires: adobe-source-code-pro-fonts
BuildRequires: ghostscript
%endif

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel
80x86 microprocessor series, using primarily the traditional Intel
instruction mnemonics and syntax.

%description doc
This package contains documentation for the Netwide Assembler (NASM).

%prep
%autosetup -p1

tar xJf %{SOURCE1} --strip-components 1

%build
%configure
%if %{with documentation}
%make_build everything
gzip -9f doc/nasmdoc.{ps,txt}
%else
%make_build all
%endif

%install
%make_install

%check
make -C test golden test diff

%files
%license LICENSE
%{_bindir}/nasm
%{_bindir}/ndisasm
%{_mandir}/man1/nasm*
%{_mandir}/man1/ndisasm*

%files doc
%doc AUTHORS CHANGES README.md
%if %{with documentation}
%doc doc/html doc/nasmdoc.txt.gz doc/nasmdoc.ps.gz doc/nasmdoc.pdf
%endif

%changelog
* Tue Mar 07 2023 Funda Wang <fundawang@yeah.net> - 2.6.01-1
- Import package for anolis 23
